Loading...
Searching...
No Matches
casacore::FunctionTraits_PA< AutoDiffA< T > > Class Template Reference
scimath package (libcasa_scimath) » Functionals_module

FunctionTraits specialization for AutoDiffA. More...

`#include <FunctionTraits.h>`

## Public Types

typedef AutoDiffA< T > | Type
| Actual template type.
typedef T | BaseType
| Template base type.
typedef FunctionTraits_PA< T >::NumericType | NumericType
| Template numeric type.
typedef AutoDiffA< T > | ParamType
| Type for parameters.
typedef AutoDiffA< T > | ArgType
| Type for arguments.
typedef AutoDiffA< T > | DiffType
| Default type for differentiation.

## Static Public Member Functions

static const T & | getValue (const Type &in)
| Get the value.
static void | setValue (Type &out, const T &val, const uInt nder, const uInt i)
| Set a value (and possible derivative).

## Detailed Description

template<class T>
class casacore::FunctionTraits_PA< AutoDiffA< T > >

FunctionTraits specialization for AutoDiffA.

Definition at line 195 of file FunctionTraits.h.

## Member Typedef Documentation

## ArgType

template<class T>

typedef AutoDiffA<T> casacore::FunctionTraits_PA< AutoDiffA< T > >::ArgType

Type for arguments.

Definition at line 206 of file FunctionTraits.h.

## BaseType

template<class T>

typedef T casacore::FunctionTraits_PA< AutoDiffA< T > >::BaseType

Template base type.

Definition at line 200 of file FunctionTraits.h.

## DiffType

template<class T>

typedef AutoDiffA<T> casacore::FunctionTraits_PA< AutoDiffA< T > >::DiffType

Default type for differentiation.

Definition at line 208 of file FunctionTraits.h.

## NumericType

template<class T>

typedef FunctionTraits_PA<T>::NumericType casacore::FunctionTraits_PA< AutoDiffA< T > >::NumericType

Template numeric type.

Definition at line 202 of file FunctionTraits.h.

## ParamType

template<class T>

typedef AutoDiffA<T> casacore::FunctionTraits_PA< AutoDiffA< T > >::ParamType

Type for parameters.

Definition at line 204 of file FunctionTraits.h.

## Type

template<class T>

typedef AutoDiffA<T> casacore::FunctionTraits_PA< AutoDiffA< T > >::Type

Actual template type.

Definition at line 198 of file FunctionTraits.h.

## Member Function Documentation

## getValue()

template<class T>

const T & casacore::FunctionTraits_PA< AutoDiffA< T > >::getValue | ( | const Type & | in | ) |

inline static

Get the value.

Definition at line 210 of file FunctionTraits.h.

References casacore::FunctionTraits< T >::getValue(), and casacore::AutoDiff< T >::value().

## setValue()

template<class T>

void casacore::FunctionTraits_PA< AutoDiffA< T > >::setValue | ( | Type & | out,
|  | const T & | val,
|  | const uInt | nder,
|  | const uInt | i )

inline static

Set a value (and possible derivative).

Definition at line 213 of file FunctionTraits.h.

The documentation for this class was generated from the following file:

- scimath/Functionals/FunctionTraits.h